--
-- ### Checking new introduced datetime cast operator 
-- 



drop if exists table t1;
create table t1 ( a int, b datetime);

insert into t1 values ( 1, (datetime)'01.01.2025');


drop if exists view v1;
create view v1 as
select a, b from t1 where b = (datetime)'01.01.2025';

select * from t1;

show view v1;
